#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SH1106.h>
// tworzymy  obiekt wyświetlacza o nazwie: wysw
#define OLED_RESET 4
Adafruit_SH1106 wysw(OLED_RESET);

#if (SH1106_LCDHEIGHT != 64)
#error("Height incorrect, please fix Adafruit_SH1106.h!");
#endif

void setup()   {
  wysw.begin(SH1106_SWITCHCAPVCC, 0x3C);  // inicjalizacja
  // pokaż ekran powitalny - logo Adafruit przez 1 sekundę:
  wysw.display();   delay(1000);
  wysw.clearDisplay(); //czyść ekran
  wysw.setCursor(0, 0); //kursor w punkcie "zerowym"
  wysw.setTextColor(1, 0);
  wysw.setTextSize(1);
  //wyswietlamy kody 32...160:
  for (int i = 32, j = 0; i < 161; i++, j++) {
    if (j == 16) {  //po 16 w każdej linii
      wysw.print("\n");  //nowa linia
      //   wysw.write(10); //to samo, co powyżej
      j = 0;
    }
    wysw.write(i); //wyswietl znak o kodzie i
// nie mozna wykorzystac:  wysw.print();
  }
  wysw.display(); //teraz wyświetl na ekranie

}
void loop() { } //pusta pętla - kręć się w kółko...
